
QGIS Application - Bug report #6996

Line pattern fill is not rendered to vector in pdf export

2013-01-14 10:39 PM - Victor Axbom

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16100

Description

I've experienced some problems when I export maps to vector-pdf from the composer. All features in the exported pdf are vectors except

for the layers which have the relative new line pattern fill set as symbology type. These are rendered as rasters, and this become a

problem when trying to print to larger formats as A1 as some features from these layers disappear in the exported pdf.

Related issues:

Duplicated by QGIS Application - Bug report # 19852: Pattern fill is always r... Closed 2018-09-15

History

#1 - 2013-01-14 10:44 PM - Victor Axbom

- File pdf_export.pdf added

Attach a pdf. The line pattern fill have been rendered as raster

#2 - 2013-01-14 11:12 PM - Victor Axbom

Connecting issue #3250?

#3 - 2013-04-24 09:14 PM - Mathieu Pellerin - nIRV

I can confirm this behavior. Noticed this while trying to figure out why a PDF exported map had seen a huge increase in size.

SVG fill are also rasterized.

#4 - 2014-04-06 06:04 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#5 - 2014-05-31 09:18 PM - Nyall Dawson

- Category changed from Map Composer/Printing to Symbology

#6 - 2015-03-10 08:19 AM - Oskar Karlin

Is this being fixed by the next release? It's pretty crucial that this works if one wants to use QGIS to make printed maps.

#7 - 2015-03-10 01:44 PM - Nyall Dawson
As far as I'm aware no one is actively working on this request. You could ask on the Dev list or consider sponsoring this change.

#8 - 2015-03-10 04:02 PM - Giovanni Manghi

- Operating System deleted (Windows)

- OS version deleted (XP)

#9 - 2015-03-18 07:53 AM - Oskar Karlin

Nyall Dawson wrote:

As far as I'm aware no one is actively working on this request. You could ask on the Dev list or consider sponsoring this change.

Do you have any ideas of how much this would cost if I'd sponsor this change?

#10 - 2015-04-13 06:22 AM - Nyall Dawson

Oskar Karlin wrote:

Nyall Dawson wrote:

As far as I'm aware no one is actively working on this request. You could ask on the Dev list or consider sponsoring this change.

Do you have any ideas of how much this would cost if I'd sponsor this change?

Hi Oskar,

Can you drop me an email at nyall.dawson@gmail.com if you'd like to discuss this?

Cheers!

#11 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#12 - 2017-08-02 10:48 PM - Giovanni Manghi

see also #16949

#13 - 2018-06-11 03:32 PM - M D

Hi, I do experience this problem with QGIS 3.0.2-Girona. I'm trying to export roads from OpenStreetMap on a metropolitan territory (40 km x 30 km) into a

svg file. Do you think that it fails and rasters the roads because it is too much informations?

Thank you in advance!

#14 - 2018-09-17 08:43 AM - Jürgen Fischer

- Duplicated by Bug report #19852: Pattern fill is always rasterized  added
#15 - 2018-09-18 11:45 AM - M D

M D wrote:

Hi, I do experience this problem with QGIS 3.0.2-Girona. I'm trying to export roads from OpenStreetMap on a metropolitan territory (40 km x 30 km)

into a svg file. Do you think that it fails and rasters the roads because it is too much informations?

Thank you in advance!

I used a VBOX and managed, on Ubuntu, to export a fully vectorized version of my layer. If that can help...

#16 - 2019-03-09 04:04 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

pdf_export.pdf 30 KB 2013-01-14 Victor Axbom

2025-04-27 3/3

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

